COPY_CRED_CACHE(1)

NAME
copy_cred_cache - copy credentials from one cache to another

SYNOPSIS
copy_cred_cache [- -krbtgt-only] [- -service=principal] [- -enctype=enctype] [- -flags=ticketflags] [- -valid-for=time] [- -fcache-version=integer] [<from-cache>] <to-cache>

DESCRIPTION
copy_cred_cache copies credentials from <from-cache> (or the default cache) to <to-cache>.

Supported options:

- -krbtgt-only
    Copies only krbtgt credentials for the client's realm. This is equivalent to - -service=krbtgt/<CLIENTREALM>@<CLIENTREALM>.

- -service=principal
    Copies only credentials matching this service principal.

- -enctype=enctype
    Copies only credentials a matching enctype.

- -flags=ticketflags
    Copies only credentials with these ticket flags set.

- -valid-for=time
    Copies only credentials that are valid for at least this long. This does not take renewable creds into account.

- -fcache-version=integer
    The created cache, If a standard FILE cache is created, it will have this file format version.

EXAMPLES
To copy only credentials that are valid for at least one day and with the initial flag set, try something like:

    $ copy_cred_cache --valid-for=1d --flags=initial FILE:/some/cache

DIAGNOSTICS
The copy_cred_cache utility exits 0 on success, and 0 if an error occurs, or if no credentials where actually copied.